VULKAN_HPP_NAMESPACE::MemoryAllocateInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| MemoryAllocateInfo (DeviceSize allocationSize_=0, uint32_t memoryTypeIndex_=0)
| MemoryAllocateInfo (VkMemoryAllocateInfo const &rhs)
MemoryAllocateInfo & | operator= (VkMemoryAllocateInfo const &rhs)
MemoryAllocateInfo & | setPNext (const void *pNext_)
MemoryAllocateInfo & | setAllocationSize (DeviceSize allocationSize_)
MemoryAllocateInfo & | setMemoryTypeIndex (uint32_t memoryTypeIndex_)
| operator VkMemoryAllocateInfo const & () const
| operator VkMemoryAllocateInfo & ()
bool | operator== (MemoryAllocateInfo const &rhs) const
bool | operator!= (MemoryAllocateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceSize | allocationSize
uint32_t | memoryTypeIndex

## Private Attributes

StructureType | sType = StructureType::eMemoryAllocateInfo

## Detailed Description

Definition at line 9710 of file vulkan.hpp.

## Constructor & Destructor Documentation

## MemoryAllocateInfo() [1/2]

VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::MemoryAllocateInfo | ( | DeviceSize | allocationSize_ = `0`,
|  | uint32_t | memoryTypeIndex_ = `0`
| ) |  |

inline

Definition at line 9712 of file vulkan.hpp.

: allocationSize( allocationSize_ )
, memoryTypeIndex( memoryTypeIndex_ )
{
}

## MemoryAllocateInfo() [2/2]

VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::MemoryAllocateInfo | ( | VkMemoryAllocateInfo const & | rhs | ) |

inline

Definition at line 9719 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryAllocateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkMemoryAllocateInfo &()

VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator VkMemoryAllocateInfo & | ( |  | ) |

inline

Definition at line 9752 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryAllocateInfo*>(this);
}

## operator VkMemoryAllocateInfo const &()

VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator VkMemoryAllocateInfo const & | ( |  | ) | const

inline

Definition at line 9747 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryAllocateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator!= | ( | MemoryAllocateInfo const & | rhs | ) | const

inline

Definition at line 9765 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

MemoryAllocateInfo& VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator= | ( | VkMemoryAllocateInfo const & | rhs | ) |

inline

Definition at line 9724 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( MemoryAllocateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator== | ( | MemoryAllocateInfo const & | rhs | ) | const

inline

Definition at line 9757 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( allocationSize == rhs.allocationSize )
&& ( memoryTypeIndex == rhs.memoryTypeIndex );
}

References allocationSize, memoryTypeIndex, pNext, and sType.

Referenced by operator!=().

## setAllocationSize()

MemoryAllocateInfo& VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::setAllocationSize | ( | DeviceSize | allocationSize_ | ) |

inline

Definition at line 9735 of file vulkan.hpp.

{
allocationSize = allocationSize_;
return *this;
}

References allocationSize.

## setMemoryTypeIndex()

MemoryAllocateInfo& VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::setMemoryTypeIndex | ( | uint32_t | memoryTypeIndex_ | ) |

inline

Definition at line 9741 of file vulkan.hpp.

{
memoryTypeIndex = memoryTypeIndex_;
return *this;
}

References memoryTypeIndex.

## setPNext()

MemoryAllocateInfo& VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 9729 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## allocationSize

DeviceSize VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::allocationSize

Definition at line 9775 of file vulkan.hpp.

Referenced by operator==(), and setAllocationSize().

## memoryTypeIndex

uint32_t VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::memoryTypeIndex

Definition at line 9776 of file vulkan.hpp.

Referenced by operator==(), and setMemoryTypeIndex().

## pNext

const void* VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::pNext = nullptr

Definition at line 9774 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::sType = StructureType::eMemoryAllocateInfo

private

Definition at line 9771 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::pNext
const void * pNext
Definition: vulkan.hpp:9774
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::allocationSize
DeviceSize allocationSize
Definition: vulkan.hpp:9775
VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::operator==
bool operator==(MemoryAllocateInfo const &rhs) const
Definition: vulkan.hpp:9757
VkMemoryAllocateInfo
Definition: vulkan_core.h:2071
VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::memoryTypeIndex
uint32_t memoryTypeIndex
Definition: vulkan.hpp:9776
VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::sType
StructureType sType
Definition: vulkan.hpp:9771
VULKAN_HPP_NAMESPACE::MemoryAllocateInfo::MemoryAllocateInfo
MemoryAllocateInfo(DeviceSize allocationSize_=0, uint32_t memoryTypeIndex_=0)
Definition: vulkan.hpp:9712